using MySql.Data.MySqlClient;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using static System.Windows.Forms.VisualStyles.VisualStyleElement;

namespace ekz_lednev
{
    public partial class FormEditDop : Form
    {
        public FormEditDop()
        {
            InitializeComponent();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            MessageBox.Show($"Заполните все поля и нажмите кнопку редактировать, готово!" +
                "" +
                "    Если вы не хотите изменять данные в поле, просто введите то же значение, что и было до этого");

        }

        private void button2_Click(object sender, EventArgs e)
        {
            Application.Restart();
            this.Close();

        }

        private void button1_Click(object sender, EventArgs e)
        {
            DB dB = DB.GetInstance();
            MySqlCommand cmd = new MySqlCommand($@"UPDATE `pozorisp_lednev_ekz`.`product_type` SET `name` = '{textBox6.Text}', `coefficent` = '{textBox7.Text}' WHERE (`id` = '{textBox8.Text}');", dB.GetConnection());
            cmd.ExecuteNonQuery();

            MessageBox.Show("Изменено!");
            Application.Restart();
        }
    }
}
